﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GpsModule {
	public class SharedGpsData {
		protected string _sentence;
		public string Sentance {
			get { return _sentence; }
		}
		public void setSentance(string sentence) {
			_sentence = sentence;
		}

		protected DateTime _time;
		public DateTime Time {
			get { return _time; }
		}
		public void setTime(DateTime time) {
			_time = time;
		}

		protected string _latitude = "";
		public string Latitude {
			get { return _latitude; }
		}
		public void setLatitude(string latitude) {
			_latitude = latitude;
		}

		protected char _northOrSouth = 'N';
		public char NorthOrSouth {
			get { return _northOrSouth; }
		}
		public void setNorthOrSouth(char northOrSouth) {
			_northOrSouth = northOrSouth;
		}

		protected string _longitude = "";
		public string Longitude {
			get { return _longitude; }
		}
		public void setLongitude(string longitude) {
			_longitude = longitude;
		}

		protected char _eastOrWest = 'W';
		public char EastOrWest {
			get { return _eastOrWest; }
		}
		public void setEastOrWest(char eastOrWest) {
			_eastOrWest = eastOrWest;
		}

		protected int _checksum = 0;
		public int Checksum {
			get { return _checksum; }
		}
		public void setChecksum(int checksum) {
			_checksum = checksum;
		}

		public SharedGpsData() {
		}

		private string getDeg(string l) {
			return l.Remove(l.IndexOf(".") - 2, l.Length - (l.IndexOf(".") - 2));
		}

		private string getMin(string l) {
			return l.Substring(l.IndexOf(".") - 2, l.Length - (l.IndexOf(".") - 2));
		}

		public string LatDeg {
			get { return getDeg(_latitude); }
		}

		public string LatMin {
			get { return getMin(_latitude); }
		}

		public string LonDeg {
			get { return getDeg(_longitude); }
		}

		public string LonMin {
			get { return getMin(_longitude); }
		}
	}
}
