﻿namespace PlatformController {
	public static class PlatformCommands {
		public static readonly PlatformCommand[] cmdArray = {
			new PlatformCommand('y', 1, "Set Steering"),
			new PlatformCommand('x', 2, "Set Throttle"),
														 };
		//make sure that there is an enum entry for each command in the array
		//and that they are in the correct order.
		public enum commands {
			setSteering,
			setThrottle
		}
	}

	public class PlatformCommand {
		public readonly char command = 'y';
		public readonly int commandIndex = 0;
		public readonly string commandName = "Set Steering";

		public PlatformCommand(char cmd, int cmdIndex, string cmdName) {
			command = cmd;
			commandIndex = cmdIndex;
			commandName = cmdName;
		}
	}
}