﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NavigationController {
	public class NavigationCommands {
		public static readonly NavigationCommand[] cmdArray = {
			new NavigationCommand('a', 0, "system controller up, turn on red led"),
			new NavigationCommand('b', 1, "error some component has an error, flash red led"),
			new NavigationCommand('c', 2, "reset encoder"),
														 };
		//make sure that there is an enum entry for each command in the array
		//and that they are in the correct order.
		public enum commands {
			systemControllerUp,
			errorFlashLed,
			resetEncoderLedOff
		}
	}

	public class NavigationCommand {
		public readonly char command = 'a';
		public readonly int commandIndex = 0;
		public readonly string commandName = "system controller up, turn on red led";

		public NavigationCommand(char cmd, int cmdIndex, string cmdName) {
			command = cmd;
			commandIndex = cmdIndex;
			commandName = cmdName;
		}
	}
}
